<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="struct_s_m_i_f___type" kind="struct" language="C++" prot="public">
    <compoundname>SMIF_Type</compoundname>
    <includes local="no">ip_type.h</includes>
    <briefdescription>
<para>The struct type definition for the hardware register set contained in the block. <linebreak />
The address of a variable of this type can be used as the base hardware address for register access. A device may support more than one instance of a peripheral block. <linebreak />
Refer to a device-specific header file, e.g. <emphasis>&lt;PDL_DIR&gt;/devices/include/cy8c637bzi_bld74</emphasis>.<emphasis>h</emphasis> for the list of block instances available on that device. <linebreak />
Refer to the device TRM for the block register descriptions.</para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="143" bodyfile="mainpage/ip_type.h" bodystart="143" column="1" file="mainpage/ip_type.h" line="143" />
    <listofallmembers>
    </listofallmembers>
  </compounddef>
</doxygen>